<?
 	IPSUtils_Include ("IPSLogger.inc.php","IPSLibrary::app::core::IPSLogger");

   Global $CfgDaten;

	$debug = false;
	
	// Wenn mit Hand gestartet dann diese ID nehmen
   if ( !isset($_IPS['VARIABLE']))
   	$id = 30751 ;
	else
		$id = $_IPS['VARIABLE'];

	$scriptid = IPSUtil_ObjectIDByPath("Program.IPSLibrary.app.privat.IPSHighcharts.VerwaltungHighcharts");

   if ( isset($CfgDaten['RefreshID']))    // Refresh ueber Webfront
      {
      $id = $CfgDaten['RefreshID'];
		if ( $debug ) IPSLogger_Dbg(__file__, "Refresh ueber Webfront :" .$id);
		}
	else
	   {
		if ( $debug ) IPSLogger_Dbg(__file__, "Keine RefreshID");
		}

	init($id);

	switch($id)
	   {

		case	30751 :  $ContentId  = 32307;
		               $Sensor     = 30751  ;
		         		TemplateHelligkeit($ContentId,$Sensor);
	               	if ($debug) IPSLogger_Dbg(__FILE__,'Helligkeitssensor' );
		               break;

		case 	99999 :  break;
		case 	99999 :  break;
		case 	99999 :  break;
		case 	99999 :  break;

	   default     : 	IPSLogger_Dbg(__file__, "Id nicht parametriert : " . $id);
							return;

	   }

	run();



function TemplateHelligkeit($ContentId,$Sensor)
	{
	GLOBAL $CfgDaten;

	SetValueString($ContentId,"");

   $CfgDaten['ContentVarableId'] = $ContentId;


	// Abmessungen des erzeugten Charts
	$CfgDaten['HighChart']['Width']  = 0;
	$CfgDaten['HighChart']['Height'] = 630;
	$CfgDaten['plotOptions']['series']['fillOpacity'] = 0.1;
	//	$CfgDaten['plotOptions']['area']['fillOpacity'] =  0.5 ;

	//***************************************************************************
	//	yAxis
	//***************************************************************************

	$CfgDaten['yAxis'][0]['title']['enabled'] = false;
	$CfgDaten['yAxis'][0]['title']['text'] = "";
	$CfgDaten['yAxis'][0]['Unit'] = "?";
	$CfgDaten['yAxis'][0]['opposite'] = false;

	$CfgDaten['yAxis'][0]['min'] = 0;
	$CfgDaten['yAxis'][0]['max'] = 80;
 	$CfgDaten['yAxis'][0]['lineWidth'] = 0;
   $CfgDaten['yAxis'][0]['minorGridLineWidth'] = 0;
   $CfgDaten['yAxis'][0]['lineColor'] =  'transparent';
   $CfgDaten['yAxis'][0]['labels']['enabled'] = true;
	$CfgDaten['yAxis'][0]['minorTickLength'] = 0;
   $CfgDaten['yAxis'][0]['tickLength'] = 0;

	//***************************************************************************
	// Serien
	//***************************************************************************

	$data = $Sensor;

	$serie = array();
	$serie['name'] = "Name";
	$serie['Id'] = $data ;
	$serie['Unit'] = "?";
	$serie['RoundValue'] = 1;
	$serie['step'] = false;
	$serie['type'] = "spline";
	$serie['yAxis'] = 0;
	$serie['lineWidth'] = 2;
	$CfgDaten['series'][] = $serie;


	}


function init($IPS_SELF)
	{
	GLOBAL $CfgDaten;


	// Highcharts-Theme
	$CfgDaten['HighChart']['Theme']="ips1007.js";

	// Abmessungen des erzeugten Charts
	$CfgDaten['HighChart']['Width']  = 0;
	$CfgDaten['HighChart']['Height'] = 400;
	//***************************************************************************
	// Zeitraum welcher dargestellt werden soll
	// (kann durch die Zeitvorgaben in den Serien verndert werden)
	// Wenn GLOBAL schon definiert dann nicht ueberschreiben
	// sonst 48 Stunden
	//***************************************************************************
	if ( !isset($CfgDaten['StartTime']) )
		$CfgDaten['StartTime'] = time()- ( 86400 * 2 );    // 48 Stunden
	if ( !isset($CfgDaten['EndTime']) )
		$CfgDaten['EndTime']   = time();   // = bis jetzt

	//***************************************************************************
	// damit wird die Art des Aufrufes festgelegt
	// file, script, popup
	//***************************************************************************
	$CfgDaten['RunMode'] = "file";

	$CfgDaten['subtitle']['text'] = "%STARTTIME% - %ENDTIME%";
	$titel = date('d.m.y H:i',$CfgDaten['StartTime']) . " - " . date('d.m.y H:i',$CfgDaten['EndTime']);
	$CfgDaten['subtitle']['text'] = $titel;


	//***************************************************************************
	// Serienbergreifende Einstellung fr das Laden von Werten
	// Systematik funktioniert jetzt additiv.
	// D.h. die angegebenen Werte gehen ab dem letzten Wert
	//
	//            -5 Tage           -3 Tage    					EndTime
	// |           |              	|            				 |
	// |           |DayValue = 2     |HourValues = 3          |
	// |Tageswerte |Stundenwerte     |jeder geloggte Wert     |
	//***************************************************************************
	$CfgDaten['AggregatedValues']['HourValues'] 		= 6;      	// ist der Zeitraum grer als X Tage werden Stundenwerte geladen
	$CfgDaten['AggregatedValues']['DayValues'] 		= 32;       // ist der Zeitraum grer als X Tage werden Tageswerte geladen
	$CfgDaten['AggregatedValues']['WeekValues'] 		= -1;      	// ist der Zeitraum grer als X Tage werden Wochenwerte geladen
	$CfgDaten['AggregatedValues']['MonthValues'] 	= -1;      	// ist der Zeitraum grer als X Tage werden Monatswerte geladen
	$CfgDaten['AggregatedValues']['YearValues'] 		= -1;     	// ist der Zeitraum grer als X Tage werden Jahreswerte geladen
	$CfgDaten['AggregatedValues']['NoLoggedValues'] = 1000; 		// ist der Zeitraum grer als X Tage werden keine Boolean Werte mehr geladen,
																					//	diese werden zuvor immer als Einzelwerte geladen
	$CfgDaten['AggregatedValues']['MixedMode'] 		= false;    // alle Zeitraumbedingungen werden kombiniert

	//***************************************************************************
	// Buttons fuer Zeitraumauswahl erstellen
	//***************************************************************************

	$CfgDaten['exporting']['buttons']['Back']['x']       		= - 122 ;
	$CfgDaten['exporting']['buttons']['Back']['y'] 				= 1;
	$CfgDaten['exporting']['buttons']['Back']['symbol']  		= "url(/user/icons/fixed/HighchartsRueckwaerts.png)";
	$CfgDaten['exporting']['buttons']['Back']['symbolX'] 		= 6;
	$CfgDaten['exporting']['buttons']['Back']['symbolY'] 		= 6;
	$CfgDaten['exporting']['buttons']['Back']['height']  		= 32;
	$CfgDaten['exporting']['buttons']['Back']['width']   		= 59;
	$CfgDaten['exporting']['buttons']['Back']['_titleKey'] 	= 'myBackButton';
	$CfgDaten['exporting']['buttons']['Back']['onclick'] 		= "@function() { new Image().src = '/user/IPSHighcharts/HighchartsCommand.php?VarID=".$IPS_SELF."&Time=Backward&Start=".$CfgDaten['StartTime']."&End=".$CfgDaten['EndTime']." '; }@";

	$CfgDaten['exporting']['buttons']['Home']['x']       		= -61;
	$CfgDaten['exporting']['buttons']['Home']['y'] 				= 1;
	$CfgDaten['exporting']['buttons']['Home']['symbol']  		= "url(/user/icons/fixed/HighchartsHome.png)";
	$CfgDaten['exporting']['buttons']['Home']['symbolX'] 		= 6;
	$CfgDaten['exporting']['buttons']['Home']['symbolY'] 		= 6;
	$CfgDaten['exporting']['buttons']['Home']['height']  		= 32;
	$CfgDaten['exporting']['buttons']['Home']['width']   		= 59;
	$CfgDaten['exporting']['buttons']['Home']['_titleKey'] 	= 'myHomeButton';
	$CfgDaten['exporting']['buttons']['Home']['onclick'] 		= "@function() { new Image().src = '/user/IPSHighcharts/HighchartsCommand.php?VarID=".$IPS_SELF."&Time=Home&Start=".$CfgDaten['StartTime']."&End=".$CfgDaten['EndTime']." '; }@";

	$CfgDaten['exporting']['buttons']['For']['x']       		= 0;
	$CfgDaten['exporting']['buttons']['For']['y'] 				= 1;
	$CfgDaten['exporting']['buttons']['For']['symbol']  		= "url(/user/icons/fixed/HighchartsVorwaerts.png)";
	$CfgDaten['exporting']['buttons']['For']['symbolX'] 		= 6;
	$CfgDaten['exporting']['buttons']['For']['symbolY'] 		= 6;
	$CfgDaten['exporting']['buttons']['For']['height']  		= 32;
	$CfgDaten['exporting']['buttons']['For']['width']   		= 59;
	$CfgDaten['exporting']['buttons']['For']['_titleKey'] 	= 'myForButton';
	$CfgDaten['exporting']['buttons']['For']['onclick'] 		= "@function() { new Image().src = '/user/IPSHighcharts/HighchartsCommand.php?VarID=".$IPS_SELF."&Time=Forward&Start=".$CfgDaten['StartTime']."&End=".$CfgDaten['EndTime']." '; }@";

	$CfgDaten['exporting']['buttons']['Stunde']['x']       	= 0 ;
	$CfgDaten['exporting']['buttons']['Stunde']['y'] 			= 1;
	$CfgDaten['exporting']['buttons']['Stunde']['symbol']  	= "url(/user/icons/fixed/HighchartsStunde.png)";
	$CfgDaten['exporting']['buttons']['Stunde']['symbolX'] 	= 6;
	$CfgDaten['exporting']['buttons']['Stunde']['symbolY'] 	= 6;
	$CfgDaten['exporting']['buttons']['Stunde']['height']  	= 32;
	$CfgDaten['exporting']['buttons']['Stunde']['width']   	= 59;
	$CfgDaten['exporting']['buttons']['Stunde']['align']     = "left" ;
	$CfgDaten['exporting']['buttons']['Stunde']['_titleKey'] = 'myHourButton';
	$CfgDaten['exporting']['buttons']['Stunde']['onclick'] 	= "@function() { new Image().src = '/user/IPSHighcharts/HighchartsCommand.php?VarID=".$IPS_SELF."&Time=Hour&Start=".$CfgDaten['StartTime']."&End=".$CfgDaten['EndTime']." '; }@";

	$CfgDaten['exporting']['buttons']['Tag']['x']       		= 61;
	$CfgDaten['exporting']['buttons']['Tag']['y'] 				= 1;
	$CfgDaten['exporting']['buttons']['Tag']['symbol']  		= "url(/user/icons/fixed/HighchartsTag.png)";
	$CfgDaten['exporting']['buttons']['Tag']['symbolX'] 		= 6;
	$CfgDaten['exporting']['buttons']['Tag']['symbolY'] 		= 6;
	$CfgDaten['exporting']['buttons']['Tag']['height']  		= 32;
	$CfgDaten['exporting']['buttons']['Tag']['width']   		= 59;
	$CfgDaten['exporting']['buttons']['Tag']['align']       	= "left" ;
	$CfgDaten['exporting']['buttons']['Tag']['_titleKey'] 	= 'myDayButton';
	$CfgDaten['exporting']['buttons']['Tag']['onclick'] 		= "@function() { new Image().src = '/user/IPSHighcharts/HighchartsCommand.php?VarID=".$IPS_SELF."&Time=Day&Start=".$CfgDaten['StartTime']."&End=".$CfgDaten['EndTime']." '; }@";

	$CfgDaten['exporting']['buttons']['Woche']['x']       	= 122;
	$CfgDaten['exporting']['buttons']['Woche']['y'] 			= 1;
	$CfgDaten['exporting']['buttons']['Woche']['symbol']  	= "url(/user/icons/fixed/HighchartsWoche.png)";
	$CfgDaten['exporting']['buttons']['Woche']['symbolX'] 	= 6;
	$CfgDaten['exporting']['buttons']['Woche']['symbolY'] 	= 6;
	$CfgDaten['exporting']['buttons']['Woche']['height']  	= 32;
	$CfgDaten['exporting']['buttons']['Woche']['width']   	= 59;
	$CfgDaten['exporting']['buttons']['Woche']['align']      = "left" ;
	$CfgDaten['exporting']['buttons']['Woche']['_titleKey'] 	= 'myWeekButton';
	$CfgDaten['exporting']['buttons']['Woche']['onclick'] 	= "@function() { new Image().src = '/user/IPSHighcharts/HighchartsCommand.php?VarID=".$IPS_SELF."&Time=Week&Start=".$CfgDaten['StartTime']."&End=".$CfgDaten['EndTime']." '; }@";

	$CfgDaten['exporting']['buttons']['Monat']['x']       	= 183;
	$CfgDaten['exporting']['buttons']['Monat']['y'] 			= 1;
	$CfgDaten['exporting']['buttons']['Monat']['symbol']  	= "url(/user/icons/fixed/HighchartsMonat.png)";
	$CfgDaten['exporting']['buttons']['Monat']['symbolX'] 	= 6;
	$CfgDaten['exporting']['buttons']['Monat']['symbolY'] 	= 6;
	$CfgDaten['exporting']['buttons']['Monat']['height']  	= 32;
	$CfgDaten['exporting']['buttons']['Monat']['width']   	= 59;
	$CfgDaten['exporting']['buttons']['Monat']['align']      = "left" ;
	$CfgDaten['exporting']['buttons']['Monat']['_titleKey'] 	= 'myMonthButton';
	$CfgDaten['exporting']['buttons']['Monat']['onclick'] 	= "@function() { new Image().src = '/user/IPSHighcharts/HighchartsCommand.php?VarID=".$IPS_SELF."&Time=Month&Start=".$CfgDaten['StartTime']."&End=".$CfgDaten['EndTime']." '; }@";

	$CfgDaten['exporting']['buttons']['Jahr']['x']       		= 244;
	$CfgDaten['exporting']['buttons']['Jahr']['y'] 				= 1;
	$CfgDaten['exporting']['buttons']['Jahr']['symbol']  		= "url(/user/icons/fixed/HighchartsJahr.png)";
	$CfgDaten['exporting']['buttons']['Jahr']['symbolX'] 		= 6;
	$CfgDaten['exporting']['buttons']['Jahr']['symbolY'] 		= 6;
	$CfgDaten['exporting']['buttons']['Jahr']['height']  		= 32;
	$CfgDaten['exporting']['buttons']['Jahr']['width']   		= 59;
	$CfgDaten['exporting']['buttons']['Jahr']['align']       = "left" ;
	$CfgDaten['exporting']['buttons']['Jahr']['_titleKey'] 	= 'myYearButton';
	$CfgDaten['exporting']['buttons']['Jahr']['onclick'] 		= "@function() { new Image().src = '/user/IPSHighcharts/HighchartsCommand.php?VarID=".$IPS_SELF."&Time=Year&Start=".$CfgDaten['StartTime']."&End=".$CfgDaten['EndTime']." '; }@";

	}

function run()
	{
	GLOBAL $CfgDaten;


	$contentid = $CfgDaten['ContentVarableId'];
	//***************************************************************************
	// und jetzt los
	//***************************************************************************
	IPSUtils_Include ("IPSHighcharts.inc.php","IPSLibrary::app::modules::Charts::IPSHighcharts");

	$CfgDaten = CheckCfgDaten($CfgDaten);								// hier werden die CfgDaten geprft und bei Bedarf vervollstndigt

	$sConfig = CreateConfigString($CfgDaten);             		// erzeugen und zurckgeben des Config Strings

	$tmpFilename = CreateConfigFile($sConfig, $contentid);     	// und ab damit ins tmp-Files

	WriteContentWithFilename ($CfgDaten, $tmpFilename);   		// und jetzt noch die ContentTextbox

	}

?>